/**
 * Copyright (c) 2000-2006 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.liferay.portal.spring.util;

import com.liferay.portal.spring.context.LazyClassPathApplicationContext;
import com.liferay.portal.util.PropsUtil;
import com.liferay.util.StringUtil;

import org.springframework.context.ApplicationContext;

/**
 * <a href="SpringUtil.java.html"><b><i>View Source</i></b></a>
 *
 * @author  Michael Young
 *
 */
public class SpringUtil {

	static String[] configs =
		StringUtil.split(PropsUtil.get(PropsUtil.SPRING_CONFIGS));

	static {
		for (int i = 0; i < configs.length; i++) {
			String config = configs[i];

			if (config.endsWith("spring.xml")) {
				config =
					config.substring(0, config.length() - 4) + "-" +
						PropsUtil.get(PropsUtil.PORTAL_RELEASE) + ".xml";
			}

			configs[i] = config;
		}
	}

	public static ApplicationContext getContext() {
		return _ctx;
	}

	private static ApplicationContext _ctx =
		new LazyClassPathApplicationContext(configs);

}