/**
 * Copyright (c) 2000-2006 Liferay, Inc. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package com.liferay.portal.util;

import com.liferay.util.jsf.sun.faces.config.LiferayConfigureListener;

/**
 * <a href="WebKeys.java.html"><b><i>View Source</i></b></a>
 *
 * @author  Brian Wing Shun Chan
 * @author  Brian Myunghun Kim
 *
 */
public class WebKeys {

	public static final String ADDRESS = "ADDRESS";

	public static final String ADDRESS_BOOK_RECIPIENTS = "ADDRESS_BOOK_RECIPIENTS";

	public static final String ALFRESCO_CONTENT = "ALFRESCO_CONTENT";

	public static final String ASSOCIATE_KEY = LiferayConfigureListener.ASSOCIATE_KEY;

	public static final String BLOGS_CATEGORY = "BLOGS_CATEGORY";

	public static final String BLOGS_ENTRY = "BLOGS_ENTRY";

	public static final String BOOKMARKS_ENTRY = "BOOKMARKS_ENTRY";

	public static final String BOOKMARKS_FOLDER = "BOOKMARKS_FOLDER";

	public static final String CACHE_PORTLET_RESPONSES = "CACHE_PORTLET_RESPONSES";

	public static final String CALENDAR_EVENT = "CALENDAR_EVENT";

	public static final String CAPTCHA_COUNT = "CAPTCHA_COUNT";

	public static final String CAPTCHA_TEXT = "CAPTCHA_TEXT";

	public static final String COLOR_SCHEME = "COLOR_SCHEME";

	public static final String COMIC_ENTRY = "COMIC_ENTRY";
	
	public static final String COMPANY = "COMPANY";

	public static final String COMPANY_ID = "COMPANY_ID";

	public static final String CTX = "CTX";

	public static final String CURRENT_URL = "CURRENT_URL";

	public static final String CURRENT_USERS = "CURRENT_USERS";

	public static final String DOCUMENT_LIBRARY_FILE_ENTRY = "DOCUMENT_LIBRARY_FILE_ENTRY";

	public static final String DOCUMENT_LIBRARY_FILE_SHORTCUT = "DOCUMENT_LIBRARY_FILE_SHORTCUT";

	public static final String DOCUMENT_LIBRARY_FOLDER = "DOCUMENT_LIBRARY_FOLDER";

	public static final String EMAIL_ADDRESS = "EMAIL_ADDRESS";

	public static final String ENCRYPT = "shuo";

	public static final String FORM_NAME = "FORM_NAME";

	public static final String FORWARD_URL = "FORWARD_URL";

	public static final String FRIENDLY_URL_PRIVATE_PATH = "FRIENDLY_URL_PRIVATE_PATH";

	public static final String FRIENDLY_URL_PUBLIC_PATH = "FRIENDLY_URL_PUBLIC_PATH";

	public static final String GOOGLE_CACHED_PAGE = "GOOGLE_CACHED_PAGE";

	public static final String GOOGLE_SEARCH_RESULT = "GOOGLE_SEARCH_RESULT";

	public static final String GOOGLE_SPELLING_SUGGESTION = "GOOGLE_SPELLING_SUGGESTION";

	public static final String GROUP = "GROUP";

	public static final String IFRAME_SRC = "IFRAME_SRC";

	public static final String IMAGE_GALLERY_FOLDER = "IMAGE_GALLERY_FOLDER";

	public static final String IMAGE_GALLERY_IMAGE = "IMAGE_GALLERY_IMAGE";

	public static final String IMAGE_PATH = "IMAGE_PATH";

	public static final String LAYOUT = "LAYOUT";

	public static final String LAYOUT_LISTER_LIST = "LAYOUT_LISTER_LIST";

	public static final String LAYOUTS = "LAYOUTS";

	public static final String MAIN_PATH = "MAIN_PATH";

	public static final String JABBER_XMPP_SESSION = "JABBER_XMPP_SESSION";

	public static final String JAVAX_PORTLET_CONFIG = "javax.portlet.config";

	public static final String JAVAX_PORTLET_KEYWORDS = "javax.portlet.keywords";

	public static final String JAVAX_PORTLET_PORTLET = "javax.portlet.portlet";

	public static final String JAVAX_PORTLET_REQUEST = "javax.portlet.request";

	public static final String JAVAX_PORTLET_RESPONSE = "javax.portlet.response";

	public static final String JAVAX_PORTLET_SHORT_TITLE = "javax.portlet.short-title";

	public static final String JAVAX_PORTLET_TITLE = "javax.portlet.title";

	public static final String JAVAX_SERVLET_INCLUDE_CONTEXT_PATH =  "javax.servlet.include.context_path";

	public static final String JAVAX_SERVLET_INCLUDE_PATH_INFO = "javax.servlet.include.path_info";

	public static final String JAVAX_SERVLET_INCLUDE_REQUEST_URI = "javax.servlet.include.request_uri";

	public static final String JAVAX_SERVLET_INCLUDE_SERVLET_PATH = "javax.servlet.include.servlet_path";	

	public static final String JAVAX_SERVLET_INCLUDE_QUERY_STRING = "javax.servlet.include.query_string";
	
	public static final String JOURNAL_ARTICLE = "JOURNAL_ARTICLE";

	public static final String JOURNAL_ARTICLE_CONTENT = "JOURNAL_ARTICLE_CONTENT";

	public static final String JOURNAL_ARTICLE_CONTENT_DOC = "JOURNAL_ARTICLE_CONTENT_DOC";

	public static final String JOURNAL_ARTICLE_GROUP_ID = "JOURNAL_ARTICLE_GROUP_ID";

	public static final String JOURNAL_RECENT_ARTICLES = "JOURNAL_RECENT_ARTICLES";

	public static final String JOURNAL_RECENT_STRUCTURES = "JOURNAL_RECENT_STRUCTURES";

	public static final String JOURNAL_RECENT_TEMPLATES = "JOURNAL_RECENT_TEMPLATES";

	public static final String JOURNAL_STRUCTURE = "JOURNAL_STRUCTURE";

	public static final String JOURNAL_STRUCTURE_EL = "JOURNAL_STRUCTURE_EL";

	public static final String JOURNAL_STRUCTURE_EL_COUNT = "JOURNAL_STRUCTURE_EL_COUNT";

	public static final String JOURNAL_STRUCTURE_EL_DEPTH = "JOURNAL_STRUCTURE_EL_DEPTH";

	public static final String JOURNAL_STRUCTURE_EL_SIBLINGS = "JOURNAL_STRUCTURE_EL_SIBLINGS";

	public static final String JOURNAL_TEMPLATE = "JOURNAL_TEMPLATE";

	public static final String LAST_PATH = "LAST_PATH";

	public static final String MAIL_CURRENT_ACCOUNT = "MAIL_CURRENT_ACCOUNT";

	public static final String MAIL_FOLDER = "MAIL_FOLDER";

	public static final String MAIL_MESSAGE_ATTACHMENTS = "MAIL_MESSAGE_ATTACHMENTS";

	public static final String MAIL_MESSAGE_BODY = "MAIL_MESSAGE_BODY";

	public static final String MAIL_MESSAGE_ID = "MAIL_MESSAGE_ID";

	public static final String MAIL_MESSAGE_IN_REPLY_TO = "MAIL_MESSAGE_IN_REPLY_TO";

	public static final String MAIL_MESSAGE_ORIGINAL_ID = "MAIL_MESSAGE_ORIGINAL_ID";

	public static final String MAIL_MESSAGE_RECIPIENTS = "MAIL_MESSAGE_RECIPIENTS";

	public static final String MAIL_MESSAGE_REFERENCES = "MAIL_MESSAGE_REFERENCES";

	public static final String MAIL_MESSAGE_SUBJECT = "MAIL_MESSAGE_SUBJECT";

	public static final String MAIL_SEARCH_RESULTS = "MAIL_SEARCH_RESULTS";

	public static final String MAIL_STORE = "MAIL_STORE";

	public static final String MESSAGE_BOARDS_CATEGORY = "MESSAGE_BOARDS_CATEGORY";

	public static final String MESSAGE_BOARDS_MESSAGE = "MESSAGE_BOARDS_MESSAGE";

	public static final String MESSAGE_BOARDS_TREE_WALKER = "MESSAGE_BOARDS_TREE_WALKER";

	public static final String MESSAGE_BOARDS_TREE_WALKER_CUR_MESSAGE = "MESSAGE_BOARDS_TREE_WALKER_CUR_MESSAGE";

	public static final String MESSAGE_BOARDS_TREE_WALKER_DEPTH = "MESSAGE_BOARDS_TREE_WALKER_DEPTH";

	public static final String MESSAGE_BOARDS_TREE_WALKER_LAST_NODE = "MESSAGE_BOARDS_TREE_WALKER_LAST_NODE";

	public static final String MESSAGE_BOARDS_TREE_WALKER_SEL_MESSAGE = "MESSAGE_BOARDS_TREE_WALKER_SEL_MESSAGE";

	public static final String MESSAGE_BOARDS_TREE_WALKER_CATEGORY = "MESSAGE_BOARDS_TREE_WALKER_CATEGORY";

	public static final String NOTES_LIST = "NOTES_LIST";

	public static final String ORG_LABOR = "ORG_LABOR";

	public static final String ORGANIZATION = "ORGANIZATION";

	public static final String PHONE = "PHONE";

	public static final String POLLS_QUESTION = "POLLS_QUESTION";

	public static final String PORTAL_PREFERENCES = "PORTAL_PREFERENCES";

	public static final String PORTLET_CATEGORY = "PORTLET_CATEGORY";

	public static final String PORTLET_CATEGORY_PATH = "PORTLET_CATEGORY_PATH";

	public static final String PORTLET_CONTENT = "PORTLET_CONTENT";

	public static final String PORTLET_PARALLEL_RENDER = "PORTLET_PARALLEL_RENDER";

	public static final String PORTLET_RENDER_PARAMETERS = "PORTLET_RENDER_PARAMETERS";

	public static final String PORTLET_SESSION_TRACKER = "PORTLET_SESSION_TRACKER";

	public static final String PORTLET_STRUTS_ACTION = "PORTLET_STRUTS_ACTION";

	public static final String PORTLET_STRUTS_ATTRIBUTES = "PORTLET_STRUTS_ATTRIBUTES";

	public static final String PORTLET_STRUTS_EXCEPTION = "PORTLET_STRUTS_EXCEPTION";

	public static final String PORTLET_STRUTS_EXECUTE = "PORTLET_STRUTS_EXECUTE";

	public static final String PORTLET_STRUTS_FORWARD = "PORTLET_STRUTS_FORWARD";

	public static final String PORTLET_STRUTS_PROCESSOR = "PORTLET_STRUTS_PROCESSOR";

	public static final String REFERER = "referer";

	public static final String RENDER_PORTLET = "RENDER_PORTLET";

	public static final String RENDER_PORTLET_COLUMN_COUNT = "RENDER_PORTLET_COLUMN_COUNT";

	public static final String RENDER_PORTLET_COLUMN_ID = "RENDER_PORTLET_COLUMN_ID";

	public static final String RENDER_PORTLET_COLUMN_POS = "RENDER_PORTLET_COLUMN_POS";

	public static final String RENDER_PORTLET_QUERY_STRING = "RENDER_PORTLET_QUERY_STRING";

	public static final String RENDER_PORTLET_RESOURCE = "RENDER_PORTLET_RESOURCE";

	public static final String REVERSE_AJAX = "REVERSE_AJAX";

	public static final String ROLE = "ROLE";

	public static final String ROOT_PATH = "ROOT_PATH";

	public static final String SEARCH_CONTAINER_RESULT_ROW = "SEARCH_CONTAINER_RESULT_ROW";

	public static final String SEARCH_SEARCH_RESULTS = "SEARCH_SEARCH_RESULTS";

	public static final String SEL_LAYOUT = "SEL_LAYOUT";

	public static final String SESSION_LISTENER = "SESSION_LISTENER";

	public static final String SHOPPING_CATEGORY = "SHOPPING_CATEGORY";

	public static final String SHOPPING_COUPON = "SHOPPING_COUPON";

	public static final String SHOPPING_ITEM = "SHOPPING_ITEM";

	public static final String SHOPPING_ORDER = "SHOPPING_ORDER";

	public static final String SOFTWARE_REPOSITORY_FRAMEWORK_VERSION = "SOFTWARE_REPOSITORY_FRAMEWORK_VERSION";

	public static final String SOFTWARE_REPOSITORY_LICENSE = "SOFTWARE_REPOSITORY_LICENSE";

	public static final String SOFTWARE_REPOSITORY_PRODUCT_ENTRY = "SOFTWARE_REPOSITORY_PRODUCT_ENTRY";

	public static final String SOFTWARE_REPOSITORY_PRODUCT_VERSION = "SOFTWARE_REPOSITORY_PRODUCT_VERSION";

	public static final String STALE_SESSION = "STALE_SESSION";

	public static final String STRUTS_BRIDGES_ATTRIBUTES = "STRUTS_BRIDGES_ATTRIBUTES";

	public static final String SUBJECT = "SUBJECT";

	public static final String TAB_INDEX = "TAB_INDEX";

	public static final String TASK_LIST = "TASK_LIST";

	public static final String THEME = "THEME";

	public static final String THEME_DISPLAY = "THEME_DISPLAY";

	public static final String TRANSLATOR_TRANSLATION = "TRANSLATOR_TRANSLATION";

	public static final String USER = "USER";

	public static final String USER_GROUP = "USER_GROUP";
	
	public static final String USER_ID = "USER_ID";

	public static final String USER_PASSWORD = "USER_PASSWORD";

	public static final String USERS_NOTIFIED = "USERS_NOTIFIED";

	public static final String VM_VARIABLES = "VM_VARIABLES";

	public static final String WEBSITE = "WEBSITE";

	public static final String WIKI_NODE = "WIKI_NODE";

	public static final String WIKI_PAGE = "WIKI_PAGE";

	public static final String WORDS_LIST = "WORDS_LIST";

	public static final String WORKFLOW_DEFINITION = "WORKFLOW_DEFINITION";

	public static final String WORKFLOW_INSTANCE = "WORKFLOW_INSTANCE";

	public static final String WORKFLOW_TASKS = "WORKFLOW_TASKS";

	public static final String WORKFLOW_TOKEN = "WORKFLOW_TOKEN";

	public static final String WSRP_NEW_SESSION = "WSRP_NEW_SESSION";

	public static final String WSRP_PRODUCER = "WSRP_PRODUCER";

	public static final String WSRP_REGISTER_PRODUCER = "WSRP_REGISTER_PRODUCER";

}